<bugID>725393<Summary>New Tab Page: XUL file needs more IDs (and maybe less generic)</Summary><Description>The new tab page needs an ID for the window and the IDs for the other components should be named less generically.

As a side note, this is a XUL file. Why is the default namespace XHTML?</Description></bugID>